LPSCRIPT(1)

NAME
lpscript - convert text to postscript

SYNOPSIS
lpscript [-o[offset]] [-r[rotation]] [-s[fontsize]] [-f[font]] [-p[pitch]] [-t[tabsize]] [-h[horizontal_spacing]] [-a[aspect-ratio]] [-S] [-L] [file ...]

DESCRIPTION
Lpscript reads text from standard input (or files if specified) and produces postscript output, suitable for sending to any postscript device (such as an Apple Laserwriter) or for using with any program that expects postscript input (such as a postscript interpreter used to drive some other raster device). Text is normally aligned at the top and left with the imageable region of the page (probably slightly smaller than the physical page size), and a new page is taken whenever text would fall below this imageable region. The following options are understood, with all values able to be given as integer or real:

-o[distance]
    Offset the text from the left edge of the imageable region, by the given distance (in centimeters). If -o is specified without a distance, 1 cm is assumed.

-r[angle]
    Rotate the page by the given angle, specified in degrees. If no angle is specified, 90 degrees is assumed. Normally, the page will be printed in portrait mode, ie with the long axis vertical. This option allows printing in landscape mode (with the long axis horizontal). Note that specifying an angle other than 0 or 90 will almost certainly cause part of the text to fall outside the imageable region, which serves you right for trying to be silly.

-s[size]
    Set the font size to the value given (in points) (72 points = 1 inch). If a size is omitted, 12 is assumed. The default point size without using this option is 10. Specifying point sizes greater than 200 is probably silly and certainly wastes toner.

-t[tabsize]
    Set the tab size to the value given (in characters). If a value is omitted, 4 is assumed (the default is 8). This option allows printing of program listings etc., to fit across the page.

-p[pitch]
    Set the line spacing of printed text to this value. Giving a value here will cause the line spacing to be set to that value, in points (72 points = 1 inch). If this argument is given without a value, double spacing is selected. The default spacing is 2 points greater than the font size.

-f[fontname]
    Set the font used to the name given. The default font is `Courier'. If this argument is given without a fontname, `Times-Roman' is used. The list of available fonts (for the Apple Laser-Writer) is: `Times-Roman' ; `Times-Italic' ; `Times-Bold'; `Times-BoldItalic'; `Courier'; `Courier-Oblique' ; `Courier-Bold'; `Courier-BoldOblique'; `Helvetica'; `Helvetica-Bold' ; `Helvetica-Oblique'; `Helvetica-BoldOblique'. Note that only the Courier family is a fixed-width font; all the others are variable width, and so program listings or columns of data will not line up.

-h[space]
    Increase the horizontal spacing of characters by the given fraction of the current font size. For example, using `-h0.25' with a font size of 12 points in effect, would cause an increase of horizontal spacing by 3 points. By default, the characters are placed next to each other, using the natural width of the characters. Negative values (eg. -h-0.1) cause horizontal spacing to be decreased.

-a[aspect-ratio]
    Set the aspect ratio (height:width) of each character to the given value (default 1).

-S  Use manual feed instead of feeding from the paper tray.

-L  Print using legal page type - 17.8 by 31.8 cm (7 by 12.5 inches) imageable region, centred on a 21.6 by 35.6 cm (8.5 by 14 inch) page. The default paper type is set automatically depending on the size of the paper tray installed. This option overrides the default.

AUTHOR
Stephen Frede, UNSW, Australia